<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        table {
            border-collapse: collapse;
        }
        td {
            width: 150px;
            height: 150px;
            border: 1px solid;
            text-align: center;
        }
    </style>
</head>
<body>
    <table class="color-table">
        <tr>
            <td data-background-color="red">red</td>
            <td data-background-color="blue">blue</td>
            <td data-background-color="#00ffaa">#00ffaa</td>
        </tr>
        <tr>
            <td data-background-color="#aabb44">#aabb44</td>
            <td>no color</td>
            <td data-background-color="#44ff77">#44ff77</td>
        </tr>
        <tr>
            <td data-background-color="black">black</td>
            <td data-background-color="yellow">yellow</td>
            <td data-background-color="green">green</td>
        </tr>
    </table>
    <script src="script.js"></script>
</body>
</html>